/*

WFDB_wfdbgetskew.c

*/
 
#include "mex.h"
#include "wfdb/wfdb.h"

/* Define order of input variables */
#define SIG_INPUT 0

/* Define order of output variables */
#define SKEW_OUTPUT 0

void mexFunction( int nlhs, mxArray *plhs[],
                  int nrhs, const mxArray *prhs[] )
{
  if (nrhs == 1)
    {
      plhs[SKEW_OUTPUT] = 
	mxCreateDoubleScalar(wfdbgetskew( (*mxGetPr(prhs[SIG_INPUT]))));
    }
  else
    mexErrMsgTxt("One input argument required");

}
